module Text.HMarkup.Types where

import Network.URI (URI)

newtype Doc = Doc [Block] deriving Show
data Block = Chunk String String
           | Header Int [Text] 
           | Para [Text] 
           | ItemList [[Text]]
             deriving Show
data Text = Emph [Text]
          | TT [Text]
          | Ref URI [Text]
          | Word String 
          | WhiteSpace
            deriving Show
